#!/bin/sh
set -ev

# Check that checkpoints are removed when tags are unrecorded

rm -rf temp1
mkdir temp1
cd temp1
darcs init
echo foo > f
darcs rec -Ax -alm init
darcs tag -Ax --checkpoint t
echo y | darcs unrec -t t
# the complete inventory has only one patch to check
darcs check --complete > out
grep -q '1 of 1' out
# the checkpoint (if left) has two patches to check
# but is should have been removed
darcs check --partial > out
grep -q '1 of 1' out
cd ..
rm -rf temp1
